Calls
List calls, newest first
GET
/
v1
/
calls
List calls, newest first
curl --request GET \
--url https://api-us.larynth.com/v1/calls \
--cookie lx_session=import requests
url = "https://api-us.larynth.com/v1/calls"
headers = {"cookie": "lx_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'lx_session='}};
fetch('https://api-us.larynth.com/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-us.larynth.com/v1/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "lx_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-us.larynth.com/v1/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "lx_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-us.larynth.com/v1/calls")
.header("cookie", "lx_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-us.larynth.com/v1/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'lx_session='
response = http.request(request)
puts response.read_body{
"data": [
{
"call_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"direction": "inbound",
"mode": "cascade",
"opted_out": true,
"recording_allowed": true,
"status": "queued",
"updated_at": "2023-11-07T05:31:56Z",
"amd_after_ms": 123,
"amd_answer_headers": {
"diversion": [
"<string>"
],
"history_info": [
"<string>"
],
"p_early_media": [
"<string>"
],
"reason": [
"<string>"
]
},
"amd_early_media_tone": "none",
"amd_reason": "<string>",
"amd_ringback_cycles": 123,
"amd_t200_ms": 123,
"amd_verdict": "unknown",
"answered_at": "2023-11-07T05:31:56Z",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_version": 123,
"attestation": "A",
"billable_ms": 123,
"campaign_contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cause": "<string>",
"codec": "G722",
"disclosure_played_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"from_e164": "<string>",
"hangup_by": "local",
"number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "<string>",
"price_micro": 123,
"recording_notice_played_at": "2023-11-07T05:31:56Z",
"sip_code": 123,
"summary": "<string>",
"to_e164": "<string>"
}
],
"next_cursor": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}Authorizations
sessionapiKey
Dashboard session cookie
Query Parameters
Page size
Required range:
1 <= x <= 200Opaque cursor from next_cursor of the previous page
Maximum string length:
512Available options:
queued, dialing, ringing, in_progress, completed, no_answer, busy, failed, canceled, rejected Available options:
inbound, outbound, web_test ⌘I
List calls, newest first
curl --request GET \
--url https://api-us.larynth.com/v1/calls \
--cookie lx_session=import requests
url = "https://api-us.larynth.com/v1/calls"
headers = {"cookie": "lx_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'lx_session='}};
fetch('https://api-us.larynth.com/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-us.larynth.com/v1/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "lx_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-us.larynth.com/v1/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "lx_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-us.larynth.com/v1/calls")
.header("cookie", "lx_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-us.larynth.com/v1/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'lx_session='
response = http.request(request)
puts response.read_body{
"data": [
{
"call_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"direction": "inbound",
"mode": "cascade",
"opted_out": true,
"recording_allowed": true,
"status": "queued",
"updated_at": "2023-11-07T05:31:56Z",
"amd_after_ms": 123,
"amd_answer_headers": {
"diversion": [
"<string>"
],
"history_info": [
"<string>"
],
"p_early_media": [
"<string>"
],
"reason": [
"<string>"
]
},
"amd_early_media_tone": "none",
"amd_reason": "<string>",
"amd_ringback_cycles": 123,
"amd_t200_ms": 123,
"amd_verdict": "unknown",
"answered_at": "2023-11-07T05:31:56Z",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_version": 123,
"attestation": "A",
"billable_ms": 123,
"campaign_contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cause": "<string>",
"codec": "G722",
"disclosure_played_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"from_e164": "<string>",
"hangup_by": "local",
"number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "<string>",
"price_micro": 123,
"recording_notice_played_at": "2023-11-07T05:31:56Z",
"sip_code": 123,
"summary": "<string>",
"to_e164": "<string>"
}
],
"next_cursor": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}